#include "tools.h"
#include "CommandLine.h"
#include "toString.h"


namespace ge
{


    TestContext TestContext::empty;

    TestContext::~TestContext()
    {

    }

    TestContext::TestContext()
    {

    }

    TestContext::TestContext(POINTER_TEST_COMMANDLINE pointerTest) : pointerTest(pointerTest)
    {
    }

    int TestContext::execTest(CommandLine &cmd)
    {
        if (pointerTest)
            return pointerTest(cmd);

        pp("test ???");
        return 0;
    }

    bool TestContext::isEmpty() const
    {
        return pointerTest == nullptr;
    }

}