#ifndef _pp_h_
#define _pp_h_

#include <iostream>
#include <string>
#include <iomanip>
#include <sstream>
#include <vector>

using namespace std;


#include "pp_inline.h"


namespace ge
{
    void pp();

    void pp(const string &s);

    void pp(std::nullptr_t);

    void pp(const char *p);

    void pp(unsigned int space, const string &s);


    template<typename First, typename ... Rest>
    void pp(const char *pFormat, const First &first, const Rest &... rest);

    template<typename First, typename ... Rest>
    void pp(unsigned int space, const char *pFormat, const First &first, const Rest &... rest);

    template<typename First, typename ... Rest>
    string toString(const char *pFormat, const First &first, const Rest &... rest);

}

#endif
