#ifndef _to_string_h_
#define _to_string_h_


namespace ge
{
    string gprintf(const char *pFormat, ...);


    string toString(char val);

    string toString(short val);

    string toString(int val);

    string toString(int64_t val);

    string toString(uint64_t val);

    string toString(float val);

    string toString(double val, uint8_t precise=3);


    int toInt(const string &s);

    int64_t toLONG(const string &s);

    uint64_t toULONG(const string &s);

    bool toBool(const string &s);

    float toFloat(const string &s);

    double toDouble(const string &s);
}

#endif