#include "testing.h"


#include <chrono>
#include <ctime>



long fibonacci(unsigned n)
{
    if (n < 2) return n;
    return fibonacci(n-1) + fibonacci(n-2);
}


static int testTime1(CommandLine & cmd)
{

    pp("hello C++ 11 - time1 - calc fibonacci for 44 ..... will end in some seconds...");

    //double half = ratio<1,2>;

    //milli m;
    //m = 444;


    const chrono::time_point<chrono::system_clock> start = chrono::system_clock::now();

//    pp ("f(42) = $", fibonacci(42));
    pp ("f(42) = $", fibonacci(44));

    const chrono::time_point<chrono::system_clock> end = chrono::system_clock::now();

    chrono::duration<double> elapsed_seconds = end - start;
    //auto elapsed_seconds = end - start;

    const time_t end_time = chrono::system_clock::to_time_t(end);

    string s = std::ctime(&end_time);
    s = s.substr(0, s.length()-1); // because of linefeed at end of time string .... strange. seems it come from asctime



    pp("ended at: $", s);

    pp("elapsed time: $", elapsed_seconds.count());

    //chrono::duration<double> s1 = start;
    //pp("start:$, end:$", start, end);


    return 0;
}

static TestContextAdder testi(testTime1, "time.duration", "");